﻿using System.ComponentModel.DataAnnotations;

namespace Compare_Password_Validation_Server_Side_Razor_Core.Models
{
    public class PersonModel
    {
        [Required(ErrorMessage = "Password is required.")]
        public string Password { get; set; }

        [Required(ErrorMessage = "Confirmation Password is required.")]
        [Compare("Password", ErrorMessage = "Password and Confirmation Password must match.")]
        public string ConfirmPassword { get; set; }
    }
}
