﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Compare_Password_Validation_Server_Side_Razor_Core.Models;

namespace Compare_Password_Validation_Server_Side_Razor_Core.Pages
{
    public class IndexModel : PageModel
    {
        public PersonModel Person { get; set; }
        public void OnGet()
        {
        }

        public void OnPostSubmit(PersonModel person)
        {
            ViewData["Password"] = person.Password;
            ViewData["ConfirmPassword"] = person.ConfirmPassword;
            if (ModelState.IsValid)
            {
                // Validation success.

                ViewData["Password"] = string.Empty;
                ViewData["ConfirmPassword"] = string.Empty;
            }
        }
    }
}